forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Crossley <cross...@apache.org>
Subject Re: pdf-plugin with fop .94 - can sbdy please help?
Date Tue, 05 Feb 2008 23:46:35 GMT
Ferdinand Soethe wrote:
> David Crossley wrote:
> >Ferdinand Soethe wrote:
> >>
> >>Actually I regret having moved them back.
> >>If we do, the plugin won't work with Forrest 0.8 w/o manual 
> >>copying of libraries.
> >>
> >>Therefore I'd suggest to move them back into the plugin-in 
> >>dir at least until Forrest 0.9 is released.
> >>
> >>wdyt?
> >
> >Not clear what you mean. I am talking about two copies of
> >"commons logging" ...
> >http://svn.apache.org/viewvc/forrest/branches/UpdateFOPto094/lib/core/
> 
> Yes I know. And both issues are related.
> 
> fop requires the newer version of that lib and Forrest used 
> the older version so I was not sure what happended if I 
> removed it.

As with all supporting libraries, if a newer one is available
and someone feels that there are benefits, then replace
the jar and run 'build test' and the site-author docs.
This does a reasonably thorough test. Plus for example
if it the logging library, then ensure logging still works.

Obviously it is best to do this one library at a time.

> I simply figured that two differently named 
> versions of a library could coexist.
>
> How does library calling work inside. Does the caller know 
> which version it needs an call the right library if there is 
> more than one?

As far as i know, the answer is no. At least in current Forrest.

-David

Mime
View raw message